[project]
    version     = 0.2.6
    name        = vdk
    tagline     = Installable development kits for Vornet
    pkgname     = vdk
    maintainer  = Alois Mahdal <netvor+vdk@vornet.cz>
    vcs_browser = https://gitlab.com/vornet/infra/vdk
    relsrc      = main
    reldst      = latest

[dist]
    tarball  = LICENSE.md
    tarball  = Makefile
    tarball  = README.md
    tarball  = mkit.ini
    tarball  = packaging
    tarball  = src
    tarball  = utils
    rpmstuff = packaging/template.spec
    debstuff = packaging/debian

[ENV]
    PREFIX          = /usr/local

[roots]
    doc       = [ENV:PREFIX]/share/doc/[project:pkgname]
    pylib     = [ENV:PREFIX]/share/vdk/pylib
    pylibskel = [ENV:PREFIX]/share/vdk/pylib/skel
    zigbin     = [ENV:PREFIX]/share/vdk/zigbin
    zigbinskel = [ENV:PREFIX]/share/vdk/zigbin/skel
    utils     = [ENV:PREFIX]/share/vdk/utils
    rpmmacros = [ENV:PREFIX]/lib/rpm/macros.d

[macros]
    __VDEP_OUR_ZIGDEV_GE__ = 0.13.0
    __VDEP_OUR_ZIGDEV_LT__ = 0.14.0
    __PROJECT_SUMMARY__ = [project:name] - [project:tagline]
    __VDK_PYLIB_SKEL__  = [roots:pylibskel]
    __VDK_ZIGBIN_SKEL__ = [roots:zigbinskel]
    __VDK_UTIL_DIR__    = [roots:utils]

[modes]
    utils = SRC

[files]
    doc       = src/pylib/README.md     vdk-pylib.md
    doc       = src/zigbin/README.md    vdk-zigbin.md
    pylib     = src/pylib/Makefile
    pylibskel = src/pylib/mkit.ini
    pylibskel = src/pylib/packaging
    zigbin     = src/zigbin/Makefile
    zigbinskel = src/zigbin/mkit.ini
    zigbinskel = src/zigbin/packaging
    utils     = src/utils/mkit
    utils     = src/utils/mkit-plugins
    utils     = src/utils/vdk_test
    rpmmacros = src/macros.d/macros.vdk

#mkit version=0.1.4
